include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### extdate (shared)

tde_add_library( extdate SHARED AUTOMOC

  SOURCES
        extdatetime.cpp
        extcalendarsystem.cpp
        extcalendarsystemgregorian.cpp
        extdatetbl.cpp
        extdatepicker.cpp
        extdatetimeedit.cpp
        extdatewidget.cpp
  LINK
     tdecore-shared
     tdeui-shared
     
  VERSION 1.2.0
     
  DESTINATION ${LIB_INSTALL_DIR}
)


##### test_extdate (test)

tde_add_check_executable( test_extdate AUTOMOC

  SOURCES
        test_extdate.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     extdate-shared

  TEST
)


##### test_extdatepicker (test)

tde_add_check_executable( test_extdatepicker AUTOMOC

  SOURCES
        testwidget.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     extdate-shared
)
